# *****************************************************************
#
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2017, 2018. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# ******************************************************************

import warnings
import os

warnings.simplefilter('always', DeprecationWarning)

warnings.warn("package 'snap_ml_mpi' will be deprecated; use 'pai4sk' instead.", DeprecationWarning)

mpi_vars = { 'OMPI_COMM_WORLD_LOCAL_RANK':0 }
mpi_init_status = True

# Ensure all the necessary ENV variables are available;
# else don't initialize SnapML & restrict SnapML API invocations.
for var in mpi_vars:
    val = os.getenv(var)
    if val is None:
        mpi_init_status = False
        break;
    mpi_vars[var] = val

if mpi_init_status:
    val = os.getenv("DLI_SNAPML_MPI")
    if val:
        rank_local = mpi_vars['OMPI_COMM_WORLD_LOCAL_RANK']
        os.environ["CUDA_VISIBLE_DEVICES"] = rank_local
else:
   raise RuntimeError('Could not initialize SnapML MPI. Run this program using mpirun.')

from pai4sk import LogisticRegression
from pai4sk import LinearRegression
from pai4sk import SupportVectorMachine
from pai4sk import sml_utils
from pai4sk import sml_io
from pai4sk import MPI
from pai4sk import Loaders
from pai4sk import Partition
from pai4sk import Metrics
from pai4sk import Writers
